# Get a task batch by ID

Endpoint: GET /api/v1/task_batches/{task_batch_id}
Version: 0.0.1
Security: form_session, user_session, component_session, component_token, api_token

## Security:

  - `form_session` (unknown)
    http bearer Onboarded form session token

  - `user_session` (unknown)
    apiKey in cookie __session

  - `component_session` (unknown)
    apiKey in cookie __component

  - `component_token` (unknown)
    apiKey in header x-component-auth-token

  - `api_token` (unknown)
    http bearer Onboarded API token

## Path parameters:

  - `task_batch_id` (string, required)

## Response 200:

  - `200` (unknown)
    TaskBatch

## Response 200 fields (application/json):

  - `id` (string, required)
    Task Batch Identifier

  - `status` (string, required)
    Enum: "processing", "completed", "completed_with_errors"

  - `form_id` (string, required)
    Form Identifier (lineage uid)

  - `employer_id` (any, required)

  - `client_id` (any, required)

  - `job_id` (any, required)

  - `total_count` (number, required)

  - `result_counts` (object, required)

  - `result_counts.pending` (number, required)

  - `result_counts.completed` (number, required)

  - `result_counts.failed` (number, required)

  - `items` (array, required)

  - `items.employee_id` (string, required)
    Employee Identifier

  - `items.status` (string, required)
    Enum: "pending", "completed", "failed"

  - `items.task_id` (string)
    Set once the item's task has been created.

  - `items.error_code` (string)
    Set if the item failed to create a task.
    Enum: "form_not_found", "global_form_used", "employee_not_found", "employee_suspended", "employer_required", "employer_not_found", "employer_marked_for_deletion", "client_required", "client_not_found", "client_marked_for_deletion", "job_required", "job_not_found", "job_marked_for_deletion", "placement_required", "scoped_custom_attribute_not_found", "deletion_scheduled_at_cannot_precede_allowed_at", "deletion_scheduled_at_must_be_in_future", "deletion_allowed_at_must_be_in_future", "duplicate_task", "internal_error"

  - `items.error_message` (string)

  - `items._tag` (string, required)
    Enum: "TaskBatchItem"

  - `_tag` (string, required)
    Enum: "TaskBatch"

## Response 400:

  - `400` (unknown)
    The request did not match the expected schema

## Response 400 fields (application/json):

  - `issues` (array, required)

  - `issues._tag` (string, required)
    The tag identifying the type of parse issue
    Enum: "Pointer", "Unexpected", "Missing", "Composite", "Refinement", "Transformation", "Type", "Forbidden"

  - `issues.path` (array, required)
    The path to the property where the issue occurred

  - `issues.path._tag` (string, required)
    Enum: "symbol"

  - `issues.path.key` (string, required)

  - `issues.message` (string, required)
    A descriptive message explaining the issue

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "HttpApiDecodeError"

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "Unauthorized"

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "Forbidden"

## Response 404:

  - `404` (unknown)
    ResourceNotFoundError

## Response 404 fields (application/json):

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "ResourceNotFoundError"

